<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";
	$user = $_POST['usuario'];
	$pass = $_POST['password'];
	$pin = $_POST['pin'];

	//$user = "admin";
	//$pass = "Admin1_";
	$datos = " Ingresa a validar_usuario usuario=".$user;	
	insertarLog($datos,$id_aplicacion);

	if($pin == ""){
		$sql = "select ";
		$sql .= "id_usuario, ";
		//$sql .= "cast(FROM_BASE64(clave) as char) as clave, ";
		$sql .= "clave, ";
		$sql .= "id_cliente, ";
		$sql .= "tipo, ";
		$sql .= "pin, ";
		$sql .= "id_perfil, ";
		$sql .= "reset, ";
		$sql .= "id_empleado ";
		$sql .= "from ";
		$sql .= "usuarios ";
		$sql .= "where ";
		$sql .= "id_usuario= BINARY '".$user."' ";
		//$sql .= "and clave='".$pass."' ";
		$sql .= "and clave=TO_BASE64('".$pass."') ";

		$array = array();

		$sentencia = $conexion->prepare($sql);
		$sentencia->execute();

		$resultado = $sentencia->get_result();
		$cont=0;

		if($fila = $resultado->fetch_assoc())
		{
			$datos = "Se autoriza el usuario, regresa informacion usuario=".$user;	
			insertarLog($datos,$id_aplicacion);
			echo json_encode($fila,JSON_UNESCAPED_UNICODE);
		}
		$sentencia->close();
		$conexion->close();
	}else{
		$sql = "select ";
		$sql .= "id_usuario, ";
		$sql .= "clave, ";
		$sql .= "id_cliente, ";
		$sql .= "tipo, ";
		$sql .= "pin, ";
		$sql .= "id_perfil, ";
		$sql .= "reset, ";
		$sql .= "id_empleado ";
		$sql .= "from ";
		$sql .= "usuarios ";
		$sql .= "where ";
		$sql .= "pin='".$pin."' ";
		$sql .= "and pin<>0 ";

		$array = array();

		$sentencia = $conexion->prepare($sql);
		$sentencia->execute();

		$resultado = $sentencia->get_result();
		$cont=0;

		if($fila = $resultado->fetch_assoc())
		{
			$datos = " Regresa informacion usuario con pin ";	
			insertarLog($datos,$id_aplicacion);
			echo json_encode($fila,JSON_UNESCAPED_UNICODE);
		}
		$sentencia->close();
		$conexion->close();
	}
	

?>